using Infrastructure.Repository;

namespace Infrastructure.Extensions;

public static class RepositoryContextSetup
{
    /// <summary>
    /// 配置数据库仓储服务
    /// </summary>
    /// <param name="services"></param>
    /// <returns></returns>
    public static IServiceCollection AddDefaultRepositoryContext(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddScoped<IUnitOfWork, UnitOfWork>();
        services.TryAddScoped(typeof(IRepositoryBase<,>), typeof(RepositoryBase<,>));
        return services;
    }
}